[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'Grids' (#lcl)

# TCustomGrid.SelectCell

Is called if a grid cell is highlighted.

## Declaration

Source position: grids.pas line 962

`protected function TCustomGrid.SelectCell(`
`ACol: Integer;`
`ARow: Integer`
`):Boolean; virtual;`

## Description

The SelectCell method is called if a grid cell will be highlighted.

The aCol and aRow parameters contain the column and the row of the highlighted cell.

Component developers may use the SelectCell method to react on focus changes. The Result is true if the cell is allowed to be selected. Application developers should use the OnSelectCell event instead.

The latest version of this document can be found at lazarus-ccr.sourceforge.net .